#
# spec file for package diakonos
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           diakonos
Version:        0.9.6
Release:        1.55
Summary:        Customizable Console based Text Editor
License:        MIT/X Licence
Group:          Productivity/Editors/Other
URL:            http://diakonos.pist0s.ca
Source:         https://github.com/Pistos/diakonos/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  ruby-devel
Requires:       ruby

%description
Diakonos is a customizable, usable console-based text editor. It features
arbitrary language scripting, an interactive help system, bookmarking, regular
expression searching, parsed ("smart") indentation, macro recording and
playback, a multi-element clipboard, multi-level undo, a customizable status
line, completely customizable keyboard mapping, and customizable syntax
highlighting.

%prep
%setup -q

%build

%install
ruby ./install.rb \
    --verbose \
	 --prefix "%{_prefix}" \
	 --dest-dir "%{buildroot}" \
	 --doc-dir "%{_docdir}/%{name}" \
	 --conf-dir "%{_sysconfdir}"

%files
%doc %{_docdir}/%{name}
%config(noreplace) %{_sysconfdir}/diakonos*.conf
%{_bindir}/diakonos
%{_datadir}/diakonos
%{_libdir}/ruby/site_ruby/%{rb_ver}/diakonos.rb
%{_libdir}/ruby/site_ruby/%{rb_ver}/diakonos

%changelog
* Thu Feb 15 2018 aloisio@gmx.com
- Update to version 0.9.6
  * Added Vue.js webpack syntax highlighting.
  * Uninstallation no longer requires curses library.
  version 0.9.5
  * Added support for OSX clipboard.
  * Fixed inability to use space when fuzzy file finding.
  version 0.9.4
  * Searching within a selection now highlights only within
    selection, and reports only the number of matches in the
    selection.
  * Can now replace all within selection.
  * Basic mouse support added.
  * Indentation performance vastly improved.
  * Some indentation bugs fixed.
  * lang.languagename.indent.triggers added.
  * For languages with comment closers, don't duplicate closers.
  version 0.9.3
  * Ruby 2.0 or higher now required.
  * Tab completion of paths now uses session dir.
  * save_backup_files setting (default false).
  * Slightly improve render speed of some highlighted languages.
  * Fuzzy file find no longer active when current input line is an
    absolute path (performance improvement).
  version 0.9.2
  * Fixed stale session bugs.
  * Ruby 2.0.0 compatibility.
  * colour.background setting.
  * Fuzzy file find: Listing now sorted alphabetically.
  * Now use by default the terminal's current/default background
    colour, including possible transparency.
  * Support selection by Shift key with cursor movement.
  version  0.9.1
  * Added PKGBUILD to bash filemask.
  * Fixed -m switch (open matching files).
  * Fixed breakage of grepping through all buffers when some
    buffers are unnamed.
  * Fixed bug that prevented type_character from working in macros.
  * Fixed open_file bug caused by empty input.
  * Fixed several display bugs.
  * Added fuzzy_file_find.recursive option (default true).
  * Fixed fuzzy_file_find.max_files.
  * Improved efficiency of fuzzy file finder.
  * Various updates to default syntax highlighting.
  version 0.9.0
  * Added partial UTF-8 support (only characters the same width as
    US-ASCII).
  * Some bug fixes.
  version 0.8.15
  * Introduced open_as_first_buffer setting (default false).
  * Now shows number of matches found after searching.
  * Now shows number of replacements made.
  * Now switches to previous buffer when switching to the current
    buffer by number.
  * Last search and readline histories are now saved to sessions.
  * Added delete_from function.
  * Added key.after configuration directive for history-sensitive
    key mapping.
  * Added select_word function.  Mapped to <Ctrl-space,
    Ctrl-space> by default.
  * Added select_word_another function.  Mapped to <Ctrl-space>
    after select_word.
  * Added search for word, mapped to <Ctrl-Alt-F> by default.
  * Undo now opens any just-closed file.
  * Fixed find_again behaviour for buffers without search history.
  version 0.8.14
  * comment_out now skips blank lines.
  * Added renumber_buffer function.  Default <Ctrl-B, number>.
  * Can now configure fuzzy_file_find.ignore globs and
    fuzzy_file_find.max_files.
  * go_to_char and go_to_char_previous now support an optional
    :after argument.
  * delete_to_and_from now supports an optional :inclusive
    argument.
  * More effecient marking of undo points when pasting external
    text or typing fast.
  * Added more info about config files in About page.
  * Display-related bug fixes and improvements.
  * Ruby 1.9.2 is now the minimum Ruby version required for
    Diakonos.
  version 0.8.13
    Contributors: Pistos
  * Added different_file argument to cursor_return.
  * Remapped different-file cursor_return to <Alt-`> and
    <Alt-Shift-`>.
  * Added KDE4 Klipper support (via dbus).
  * Now automatically jumps to first merge conflict (if any) on
    startup.
  * Added find_clip function.
  * Now switches to existing buffer when trying to open a file
    that is already loaded.
  * Now supports more formats for opening files at specific line
    numbers.
  * Added keys to switch to buffers 10 through 19.  <Alt-0, Alt-0>
    through <Alt-0, Alt-9>.
  * Numerous minor fixes and improvements.
  version 0.8.12
    Contributors: Pistos
  * Refactored keying system.
  * Introduced keying modes.
  * Ruby version now enforced, both at installation and run time.
  * Input line can now scroll if input is longer than screen width.
  * Added support for session completion in zsh and bash.
  * Added select_line.
  * Added select_wrapping_block (default key: Alt-space).
  * Searching is now restricted to the selected text, if any.
  * Added view.non_search_area.format.
  * Fixed cursor stack.
  * Cursor stack is now global (cross-buffer).
  * Simplified switch_to_next_buffer and switch_to_prev_buffer; no
    more history.
  * Added chdir function.
  * Various refactorings.
  * Various bug fixes.
  version 0.8.11
    Contributors: Pistos, dominikh
  * Added join_lines_upward (Alt-Shift-J).
  * Added one-key selection in buffer list.
  * Added support for single line indentation.
  * Added extension system.
  * Added surround_selection and related functions.
  * Added "about" page.
  * Various bug fixes and refactorings.
  version 0.8.10
    Contributors: Pistos, dominikh
  * Ruby version 1.9+ now required.  (Ruby 1.8 support dropped)
  * Added go_to_char (Alt-N).
  * Added go_to_char_previous (Alt-P).
  * shell command now shows executed command on interaction line.
  * shell command is now interruptible.
  * Klipper synchronization now a single setting
    (clipboard.external klipper).
  * Added xclip support.
  * Cursor and viewport positions now saved in and restored from
    sessions.
  * Current buffer number now saved in sessions.
  * Fixed context line.
  * Textual indication of no shell results now given.
  * Added basic pair (bracket) highlighting.
  * Added go_to_pair_match (Alt-Shift-[).
  * Fixed chmodding in installer.
  * Undo and redo now actually compare file contents to set
    "modified" flag.
  * Added support for a special 'all' language, whose formats
    apply no matter the current language.
  * Added dynamic prefix expansion (Alt-E).
- Dropped diakonos-fix_destdir.patch (no longer necessary)
- Spec cleanup
* Mon Jun 15 2009 pascal.bleser@opensuse.org
- update to 0.8.9:
  * interaction timer only on the first stale session prompt, not
    any after that
  * adds a --help-dir switch to the installer, and fixes some
    issues with the installer
  * changes delete_to_and_from to always assume a given character
    is the left side character when matching pairs
  * fixes a line number display bug
  * X windows pasting is handled much better
* Sat Apr  4 2009 guru@unixtech.be
- update to 0.8.8
* Mon Feb 23 2009 guru@unixtech.be
- new package
